
Redmine - Defect #3118

hook controller_issues_new_after_save is missing from issues_controller

2009-04-03 17:27 - Jason Messmer

Status: Closed Start date: 2009-04-03

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 0.8.6   

Resolution:  Affected version: 0.8.2

Description

For some reason in the 0.8.2 downloads, the controller_issues_new_after_save hook is missing.  It was added in revision 2261 back

in January by Eric and 0.8.2 was released in March.  After looking at the trunk for issue_controller.rb, I can't find where it was

removed.

Related issues:

Related to Redmine - Feature #2475: Hooks for IssuesController Closed 2009-01-09

History

#1 - 2009-04-03 18:23 - Jason Messmer

There needs to be hook called "controller_issues_new_before_save" too.

#2 - 2009-10-28 15:41 - Thales Ferreira

Jason Messmer wrote:

For some reason in the 0.8.2 downloads, the controller_issues_new_after_save hook is missing.  It was added in revision 2261 back in January

by Eric and 0.8.2 was released in March.  After looking at the trunk for issue_controller.rb, I can't find where it was removed.

 There is an attempt to it in http://www.redmine.org/issues/2475

#3 - 2009-11-05 04:28 - Eric Davis

- Status changed from New to Closed

- Target version set to 0.8.6

Looks like this was merged in r2997.
